From c400adf9c64193fe8b91e16753530b0cb3c0b03e Mon Sep 17 00:00:00 2001
From: Carl Baldwin <cnb@ball.(none)>
Date: Sun, 30 Oct 2005 21:19:51 -0700
Subject: [PATCH] Quiet down when there's no image to burn

---
 scripts/burn-imgs.sh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/scripts/burn-imgs.sh b/scripts/burn-imgs.sh
index 81cbee0..c0feedf 100755
--- a/scripts/burn-imgs.sh
+++ b/scripts/burn-imgs.sh
@@ -9,7 +9,11 @@ PATH=$(dirname $0):/bin:/usr/bin
 touch $noburnfile
 
 # Discover disk images by looking for .img.md5sum files in $imagedir
-imgmd5=$(ls $imagedir/*.img.md5sum | head -n 1)
+imgmd5=$(ls $imagedir/*.img.md5sum 2>/dev/null | head -n 1)
+
+# If we didn't find an non-empty file then exit gracefully
+[ -z "$imgmd5" ] && exit 0
+[ -s "$imgmd5" ] || exit 0
 
 echo MD5 file: $imgmd5
 
@@ -17,10 +21,6 @@ logfile=$(tempfile)
 
 echo Logfile: $logfile
 
-# If we didn't find an non-empty file then exit gracefully
-[ -z "$imgmd5" ] && exit 0
-[ -s "$imgmd5" ] || exit 0
-
 # Get the name of the disk image by stripping off the tailing '.md5sum'
 img=${imgmd5%.md5sum}
 
-- 
2.34.1